package flink.zanxiangnet.ad.monitoring.util;

import java.time.*;
import java.time.format.DateTimeFormatter;
import java.util.Date;

public class DateUtil {


    public static final DateTimeFormatter FORMAT_DATETIME = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    public static final DateTimeFormatter FORMAT_DATE = DateTimeFormatter.ofPattern("yyyy-MM-dd");
    public static final DateTimeFormatter FORMAT_TIME = DateTimeFormatter.ofPattern("HH:mm:ss");

    public static final DateTimeFormatter FORMAT_MINUTE_REDUCE = DateTimeFormatter.ofPattern("yyyy-MM-dd_HH:mm");

    public static String formatLocalDate(LocalDate date) {
        return date.format(FORMAT_DATE);
    }

    public static String formatLocalDateTime(LocalDateTime dateTime) {
        return dateTime.format(FORMAT_DATETIME);
    }

    public static LocalDateTime parseOfMinuteReduce(String reduceTime) {
        return LocalDateTime.parse(reduceTime, FORMAT_MINUTE_REDUCE);
    }

    public static LocalDate parseLocalDate(String dateStr) {
        return LocalDate.parse(dateStr, FORMAT_DATE);
    }

    public static LocalDateTime parseLocalDateTime(String dateStr) {
        return LocalDateTime.parse(dateStr, FORMAT_DATETIME);
    }

    public static long localDateToSecond(LocalDate localDate) {
        return localDate.atStartOfDay(ZoneOffset.ofHours(8)).toEpochSecond();
    }

    public static long localDateToMilli(LocalDate localDate) {
        return localDate.atStartOfDay(ZoneOffset.ofHours(8)).toInstant().toEpochMilli();
    }

    public static Date localDateToDate(LocalDate localDate) {
        return Date.from(localDate.atStartOfDay(ZoneOffset.ofHours(8)).toInstant());
    }

    public static LocalDateTime localDateToLocalDateTime(LocalDate localDate) {
        return LocalDateTime.of(localDate, LocalTime.MIN);
    }

    public static long localDateTimeToSecond(LocalDateTime localDateTime) {
        return localDateTime.toEpochSecond(ZoneOffset.ofHours(8));
    }

    public static long localDateTimeToMilli(LocalDateTime localDateTime) {
        return localDateTime.toInstant(ZoneOffset.ofHours(8)).toEpochMilli();
    }

    public static Date localDateTimeToDate(LocalDateTime localDateTime) {
        return Date.from(localDateTime.atZone(ZoneOffset.ofHours(8)).toInstant());
    }

    public static LocalDate secondToLocalDate(long second) {
        return Instant.ofEpochSecond(second).atZone(ZoneOffset.ofHours(8)).toLocalDate();
    }

    public static LocalDate milliToLocalDate(long milli) {
        return Instant.ofEpochMilli(milli).atZone(ZoneOffset.ofHours(8)).toLocalDate();
    }

    public static long milliToSecond(long milli) {
        return milli / 1000;
    }

    public static LocalDateTime secondToLocalDateTime(long second) {
        return Instant.ofEpochSecond(second).atZone(ZoneOffset.ofHours(8)).toLocalDateTime();
    }

    public static long secondToMilli(int second) {
        return second * 1000L;
    }

    public static long secondToMilli(long second) {
        return second * 1000;
    }

    public static LocalDateTime milliToLocalDateTime(long milli) {
        return Instant.ofEpochMilli(milli).atZone(ZoneOffset.ofHours(8)).toLocalDateTime();
    }

    public static LocalDate dateToLocalDate(Date date) {
        return date.toInstant().atZone(ZoneOffset.ofHours(8)).toLocalDate();
    }

    public static LocalDateTime dateToLocalDateTime(Date date) {
        return date.toInstant().atZone(ZoneOffset.ofHours(8)).toLocalDateTime();
    }

    /**
     * 2个日期的时间间隔
     *
     * @param beginDate
     * @param endDate
     * @return
     */
    public static long intervalOfDays(LocalDate beginDate, LocalDate endDate) {
        return endDate.toEpochDay() - beginDate.toEpochDay();
    }
}
