package flink.zanxiangnet.ad.monitoring.util;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

public class ObjectUtil {

    public static String toString(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof String) {
            return (String) obj;
        }
        return obj.toString();
    }

    public static Long toLong(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Integer) {
            return ((Integer) obj).longValue();
        }
        if (obj instanceof Long) {
            return (Long) obj;
        }
        if (obj instanceof String) {
            return Long.valueOf((String) obj);
        }
        if (obj instanceof BigDecimal) {
            return ((BigDecimal) obj).longValue();
        }
        if (obj instanceof BigInteger) {
            return ((BigInteger) obj).longValue();
        }
        throw new RuntimeException("unknown data type! Class: " + obj.getClass() + ", value: " + obj);
    }

    public static Integer toInt(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Integer) {
            return (Integer) obj;
        }
        if (obj instanceof Long) {
            return ((Long) obj).intValue();
        }
        if (obj instanceof String) {
            return Integer.valueOf((String) obj);
        }
        if (obj instanceof BigDecimal) {
            return ((BigDecimal) obj).intValue();
        }
        if (obj instanceof BigInteger) {
            return ((BigInteger) obj).intValue();
        }
        throw new RuntimeException("unknown data type! Class: " + obj.getClass() + ", value: " + obj);
    }

    public static Double toDouble(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Double) {
            return (Double) obj;
        }
        if (obj instanceof Float) {
            return ((Float) obj).doubleValue();
        }
        if (obj instanceof Integer) {
            return new Double((Integer) obj);
        }
        if (obj instanceof Long) {
            return new Double((Long) obj);
        }
        if (obj instanceof String) {
            return new Double((String) obj);
        }
        if (obj instanceof BigDecimal) {
            return ((BigDecimal) obj).doubleValue();
        }
        if (obj instanceof BigInteger) {
            return (double) ((BigInteger) obj).longValue();
        }
        throw new RuntimeException("unknown data type! Class: " + obj.getClass() + ", value: " + obj);
    }

    public static BigDecimal toDecimal(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof BigDecimal) {
            return (BigDecimal) obj;
        }
        if (obj instanceof Double) {
            return BigDecimal.valueOf((Double) obj);
        }
        if (obj instanceof Float) {
            return BigDecimal.valueOf((Float) obj);
        }
        if (obj instanceof Integer) {
            return BigDecimal.valueOf((Integer) obj);
        }
        if (obj instanceof Long) {
            return BigDecimal.valueOf((Long) obj);
        }
        if (obj instanceof String) {
            return new BigDecimal((String) obj);
        }
        throw new RuntimeException("unknown data type! Class: " + obj.getClass() + ", value: " + obj);
    }

    public static Date toDate(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Date) {
            return (Date) obj;
        }
        if (obj instanceof LocalDate) {
            return DateUtil.localDateToDate((LocalDate) obj);
        }
        if (obj instanceof LocalDateTime) {
            return DateUtil.localDateTimeToDate((LocalDateTime) obj);
        }
        if (obj instanceof Long) {
            return new Date((Long) obj);
        }
        if (obj instanceof Integer) {
            return new Date(((Integer) obj).longValue() * 1000);
        }
        if (obj instanceof String) {
            return DateUtil.localDateTimeToDate(DateUtil.parseLocalDateTime((String) obj));
        }
        throw new RuntimeException("unknown data type! Class: " + obj.getClass() + ", value: " + obj);
    }

    public static Boolean toBoolean(Object obj) {
        if (obj == null) {
            return null;
        }
        if (obj instanceof Boolean) {
            return (Boolean) obj;
        }
        return toInt(obj) != 0;
    }
}
